//$Id: Loader.java 20106 2010-08-04 06:31:38Z stliu $
package org.hibernate.search.engine;

import java.util.List;

import org.hibernate.Session;

/**
 * Interface defining a set of operations in order to load entities which matched a query. Depending on the type of
 * indexed entities and the type of query different strategies can be used.
 *
 *
 * @author Emmanuel Bernard
 */
public interface Loader {
	void init(Session session, SearchFactoryImplementor searchFactoryImplementor);

	Object load(EntityInfo entityInfo);

	List load(EntityInfo... entityInfos);
}
